#include <bits/stdc++.h>

using namespace std;

int main()
{
    long double n,m;
    cin>>n>>m;
    long long pov=m*n;
    if(n <= 2 || m<=2){
        cout<<pov<<endl;
        return 0;
    }
    long long broj=ceil((m-2)*(n-2)/2);
    cout<<pov-broj<<endl;
    return 0;
}